This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 445094 - Review Request: pommed - Apple laptop hotkey event handler
Review Request: pommed - Apple laptop hotkey event handler
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-03 11:43 EDT by Stewart Adam
Modified: 2013-08-14 00:59 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-24 18:52:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Stewart Adam 2008-05-03 11:43:26 EDT
Spec URL: http://www.diffingo.com/downloads/diffingo-repo/review/pommed.spec
SRPM URL: http://www.diffingo.com/downloads/diffingo-repo/review/pommed-1.18-0.1.20080502svn.fc9.src.rpm
Description:
pommed handles the hotkeys found on the Apple PowerBook, MacBook, MacBook Pro,
and MacBook Air laptops.

pommed can adjust the LCD backlight, sound volume, keyboard backlight and eject
the CD-ROM drive. pommed also monitors the ambient light sensors to
automatically light up the keyboard backlight on the MacBook Pro, MacBook Air
and PowerBook when applicable. pommed also supports the Apple Remote.

rpmlint is not silent, however I think it is safe to ignore these warnings:

pommed.x86_64: W: dangerous-command-in-%pre cp
--> This is done to move the now mbpeventd configuration file to the pommed one, as the pommed and mbpeventd projects have merged
pommed.x86_64: W: incoherent-subsys /etc/init.d/pommed $prog
--> rpmlint doesn't realize $prog = pommed
pommed.x86_64: W: service-default-enabled /etc/init.d/pommed
--> This is the desired behaviour
pommed-gpomme.x86_64: W: no-documentation
--> Doesn't matter
pommed-wmpomme.x86_64: W: no-documentation
--> Doesn't matter
Comment 1 Jeremy Katz 2008-05-03 15:48:15 EDT
Shouldn't this all just get handled properly by hal these days?
Comment 2 Stewart Adam 2008-05-03 18:14:44 EDT
Probably should, but I have no idea how to do that... I'm not sure if it has
anything to do with HAL, but I know it has it's own policy and dbus configuration.
Comment 3 Debarshi Ray 2008-08-24 10:51:03 EDT
(In reply to comment #2)

> Probably should, but I have no idea how to do that... I'm not sure if it has
> anything to do with HAL, but I know it has it's own policy and dbus
> configuration.

HAL does take care of the volume up/down/mute keys on my Macbook out of the box on Fedora. I don't use the other keys too much so I am not sure.
Comment 4 Stewart Adam 2008-08-24 18:52:06 EDT
The media keys work fine now with HAL, the only thing that pommed does do that HAL doesn't at the moment is backlight control. I heard that was coming in 2.6.27, but I'm not sure if that holds true or not. Either way, I guess I'll close this since the package isn't of much use.
Comment 5 Chris Smart 2010-03-01 20:07:01 EST
As of Fedora 12 and kernel 2.6.31.5-127, the keyboard back-light is constantly on, running on a Macbook Pro 2.2.

Sound and LCD brightness work out of the box, but eject button and keyboard backlight don't.

-c
Comment 6 Christopher Meng 2013-08-14 00:59:23 EDT
Do we still need this now?

Note You need to log in before you can comment on or make changes to this bug.